| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::EdgeGrammar< Iterator, Skipper > Class Template Reference
Inheritance diagram for Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >:
[legend]

## Public Types
typedef Edges | ResultT

## Public Member Functions
| EdgeGrammar ()

## Public Attributes
VectorGrammar< Iterator, std::vector< double >, Skipper > | edges
RealGrammar< Iterator, double, Skipper > | low
RealGrammar< Iterator, double, Skipper > | high
IntGrammar< Iterator, unsigned int, Skipper > | nbins
qi::rule< Iterator, Edges(), qi::locals< char >, Skipper > | result
qi::rule< Iterator, Edges(), Skipper > | inner
qi::rule< Iterator, Edges(), Skipper > | inner_pairs
qi::rule< Iterator, char()> | begin
qi::rule< Iterator, void(char)> | end

## Detailed Description

### template<typename Iterator, typename Skipper>
class Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@n.nosp@m.ikhe.nosp@m.f.nl

Date
  2009-09-26

Definition at line 50 of file HistoParsers.cpp.

## Member Typedef Documentation

template<typename Iterator, typename Skipper>

typedef Edges Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::ResultT

Definition at line 56 of file HistoParsers.cpp.

## Constructor & Destructor Documentation

template<typename Iterator, typename Skipper>

Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::EdgeGrammar | ( |  | ) |
| inline

Definition at line 60 of file HistoParsers.cpp.

60 : EdgeGrammar::base_type(result) {
61 inner =
62 ( ( qi::lit("edges") | "'edges'" | "\"edges\"" )
63 >> ":" >> edges[qi::_val *= qi::_1] )
64 | inner_pairs[qi::_val = qi::_1];
65 inner_pairs =
66 ((( qi::lit("nbins") | "'nbins'" | "\"nbins\"")
67 >> ":" >> nbins [ qi::_val /= qi::_1 ])
68 |
69 (( qi::lit("low") | "'low'" | "\"low\"" )
70 >> ":" >> low [qi::_val -= qi::_1])
71 |
72 (( qi::lit("high") | "'high'" | "\"high\"" )
73 >> ":" >> high [qi::_val += qi::_1])) % ',';
74
75 begin = enc::char_('[')[qi::_val=']']
76 | enc::char_('{')[qi::_val='}']
77 | enc::char_('(')[qi::_val=')'];
78 end = enc::char_(qi::_r1);
79 result = begin[qi::_a = qi::_1]
80 >> inner[qi::_val = qi::_1]
81 >> end(qi::_a) ;
82 }
Gaudi::Parsers::EdgeGrammar::nbins
IntGrammar< Iterator, unsigned int, Skipper > nbins
Definition: HistoParsers.cpp:85
Gaudi::Parsers::EdgeGrammar::low
RealGrammar< Iterator, double, Skipper > low
Definition: HistoParsers.cpp:84
Gaudi::Parsers::EdgeGrammar::result
qi::rule< Iterator, Edges(), qi::locals< char >, Skipper > result
Definition: HistoParsers.cpp:86
Gaudi::Parsers::EdgeGrammar::high
RealGrammar< Iterator, double, Skipper > high
Definition: HistoParsers.cpp:84
Gaudi::Parsers::EdgeGrammar::edges
VectorGrammar< Iterator, std::vector< double >, Skipper > edges
Definition: HistoParsers.cpp:83
Gaudi::Parsers::EdgeGrammar::inner_pairs
qi::rule< Iterator, Edges(), Skipper > inner_pairs
Definition: HistoParsers.cpp:87
Gaudi::Parsers::EdgeGrammar::inner
qi::rule< Iterator, Edges(), Skipper > inner
Definition: HistoParsers.cpp:87
Gaudi::Parsers::EdgeGrammar::end
qi::rule< Iterator, void(char)> end
Definition: HistoParsers.cpp:89
Gaudi::Parsers::EdgeGrammar::begin
qi::rule< Iterator, char()> begin
Definition: HistoParsers.cpp:88

## Member Data Documentation

template<typename Iterator, typename Skipper>

qi::rule<Iterator, char()> Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::begin

Definition at line 88 of file HistoParsers.cpp.

template<typename Iterator, typename Skipper>

VectorGrammar<Iterator, std::vector<double>, Skipper> Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::edges

Definition at line 83 of file HistoParsers.cpp.

template<typename Iterator, typename Skipper>

qi::rule<Iterator, void(char)> Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::end

Definition at line 89 of file HistoParsers.cpp.

template<typename Iterator, typename Skipper>

RealGrammar<Iterator, double, Skipper> Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::high

Definition at line 84 of file HistoParsers.cpp.

template<typename Iterator, typename Skipper>

qi::rule<Iterator, Edges(), Skipper> Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::inner

Definition at line 87 of file HistoParsers.cpp.

template<typename Iterator, typename Skipper>

qi::rule<Iterator, Edges(), Skipper> Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::inner_pairs

Definition at line 87 of file HistoParsers.cpp.

template<typename Iterator, typename Skipper>

RealGrammar<Iterator, double, Skipper> Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::low

Definition at line 84 of file HistoParsers.cpp.

template<typename Iterator, typename Skipper>

IntGrammar<Iterator, unsigned int, Skipper> Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::nbins

Definition at line 85 of file HistoParsers.cpp.

template<typename Iterator, typename Skipper>

qi::rule<Iterator, Edges(), qi::locals<char>, Skipper> Gaudi::Parsers::EdgeGrammar< Iterator, Skipper >::result

Definition at line 86 of file HistoParsers.cpp.

The documentation for this class was generated from the following file:

- GaudiUtils/src/Lib/HistoParsers.cpp